"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KSLPopoverElement = void 0;
const KSLPopUpElement_1 = require("./abstract/KSLPopUpElement");
const node_1 = require("../utils/node");
const templateHTML = `
  <style>
    :host {
      --ksl-pop-up-arrow-size: 12px;
      --ksl-pop-up-background-color: #fff;
      --ksl-pop-up-border-radius: 4px;
      --ksl-pop-up-box-shadow: 0 8px 32px rgba(16, 33, 60, 0.24), 0 0 8px rgba(0, 0, 0, 0.03);
      --ksl-pop-up-color: #000;
      --ksl-pop-up-padding: 8px;
    }
  </style>
`;
class KSLPopoverElement extends KSLPopUpElement_1.KSLPopUpElement {
    static get is() {
        return 'ksl-popover';
    }
    static initializeTemplate() {
        const baseTemplate = KSLPopUpElement_1.KSLPopUpElement.initializeTemplate();
        const thisTemplate = node_1.createTemplateForCustomElement(templateHTML);
        baseTemplate.content.appendChild(thisTemplate.content.cloneNode(true));
        return baseTemplate;
    }
}
exports.KSLPopoverElement = KSLPopoverElement;
//# sourceMappingURL=KSLPopoverElement.js.map